Hahaha the @inkscape dev team has labeled my "hi Inkscape doesn't work at all with the current version of Debian" bug as...

"feature request"

hooboy

@silverseams Mmh, that sounds strange. Do you have a link to share?

@inkscape gitlab.com/inkscape/inbox/-/is

If the AppImage fix is extremely difficult I can understand that but mmmmmaybe move that off being the first suggested way to install Inkscape on Debian and Ubuntu LTS?

(I didn't think the current version of Debian was an especially obscure OS but tbh I have not kept up on things, maybe I'm the penultimate desktop Debian user. It would actually explain a lot of things.)

@silverseams Can you join chat.inkscape.org/channel/inks ? I can't quite understand which version is not working with which version and why an AppImage is what must be used.

You can tag @Moini or explain a bit more, so everyone can try and help solve the issue.

@inkscape Debian 10. Inkscape 1.0.2. And the AppImage doesn't have to be used (but again, it's first in line on inkscape.org/release/1.0.2/gnu and if I was a newbie I wouldn't try the next one), but the Ubuntu ppa doesn't get along with Debian. I'm told by another Deb10 user that the Flatpak install is fine, but by then I was already compiling it from source (which went fine).

@silverseams Just been doing some research. The feature request part was about the SVG file association, which one of our team tested, but wasn't able to confirm

Can you check the report here:

gitlab.com/inkscape/inkscape/- , which captures the crash part and which has been resolved a couple days ago, and try the release candidate instead of 1.0.x (which is EOL)?

Follow

@silverseams Actually, I'm not sure it made it into the RC, just asked the developer who fixed it in which version it landed.

· · Web · 1 · 0 · 0

@inkscape Seems to work, though. At least, it pulls up the file selector on a Save As instead of just winking out of existence. I pulled gitlab.com/inkscape/inkscape/- which seems to be the most current master.

@silverseams Great! I'll try to make sure devs are aware of this needing to be a part of 1.1. Thanks for testing!

Sign in to participate in the conversation
Mastodon.ART

Mastodon.ART — Your friendly creative home on the Fediverse! Interact with friends and discover new ones, all on a platform that is community-owned and ad-free. Admin: @Curator. Moderators: @EmergencyBattle, @ScribbleAddict, @TapiocaPearl, @Otherbuttons, @katwylder